{% extends "base.html" %} {% load static %} {% block css %} {% endblock css %} {% block title %}
<h1> Bienvenido Docente</h1>
{% endblock title %} {% block content %}

<div class="container-fluid row">
    <div class="col-xs-4 col-sm-4 col-md-4 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#fullscreen_modalBita2">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Evaluaciones al Día / <br> Evaluaciones objetivo</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ log_current }}/{{ log_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-xs-4 col-sm-4 col-md-4 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#fullscreen_modalEstu">
            <div class="card">
                <header class="card-heading card-accent">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Mis tesistas / <br> Total Tesistas</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ my_students }}/{{ students_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-account"></i>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-xs-4 col-sm-4 col-md-4 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#bottom_sheet_modalAXP">
            <div class="card">
                <header class="card-heading card-yellow">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Mis proyectos activos / <br> Total proyectos</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ my_projects }}/{{ projects_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-folder-person"></i>
                        </div>

                    </div>
                </div>
            </div>
        </a>
    </div>
</div>

<div class="container-fluid row">
    <div class="col-md-6 col-sm-6 col-xs-6 animated fadeIn">
        <div class="card ">
            <header style="background-color :#23c6c8 " class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-book"></i> Mensajes Alumnos</h2>
                <ul class="card-actions right-top">
                    <li>
                        <!-- <a href="{% url 'project_management' %}" class="btn btn-danger btn-sm" style="margin-top:-7px">
                            <i class="zmdi zmdi-eye"></i> Ver mensajes
                        </a> -->
                    </li>
                </ul>
            </header>
            <div class="card-body" style="overflow-y: auto; height: 200px;">
                <ul class="list-group ">
                    {% for messages in latest_messages %}
                    <li class="list-group-item ">
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">{{ messages.author }}</div>
                            <div class="list-group-item-text">{{ messages.description|make_list|slice:':20'|join:'' }}{% if messages.description|length > 20 %}...{% endif %}</div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
    <div class="col-md-6 col-sm-6 col-xs-6 animated fadeIn">
        <div class="card">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-hourglass-alt"></i> Minutas Pendientes</h2>
            </header>
            <div class="card-body" style="height: 200px; overflow: auto">
                <ul class="list-group ">
                    {% for p in projects_pending %}
                    <li class="list-group-item">
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">{{ p.name }}</div>
                            <div class="list-group-item-text">{{ p.description }}</div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid row">
    <div class="col-xs-12 col-sm-6">
        <div class="card">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">Evaluaciones</h2>
            </header>
            <div class="card-body">
                <canvas id="lineChart_doce"></canvas>
            </div>
        </div>
    </div>
    <div class="col-xs-12 col-sm-6">
        <div class="card">
            <header style="background-color: #ed5565;" class="card-heading">
                <h2 style="color: white" class="card-title">Estudiantes</h2>
            </header>
            <div class="card-body">
                <canvas id="linechart_alumno_doce"></canvas>
            </div>
        </div>
    </div>
    <div class="col-xs-12 col-sm-12">
        <div class="card">
            <header class="card-heading card-yellow">
                <h2 style="color: white" class="card-title">Proyectos</h2>
            </header>
            <div class="card-body">
                <canvas style="display: block;height: 450px;width: 1170px;" id="linechart_proye_doce"></canvas>
            </div>
        </div>
    </div>
</div>

{% endblock content %} {% block javascript %}
<script src="sweetalert2.all.min.js"></script>

<script src="https://unpkg.com/promise-polyfill"></script>
<script>

    $(document).ready(function () {

        var linechart_bitacora = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_bitacora_alum = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_alumno = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: " Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 38, 40, 50, 56, 77, 50]
                }, {
                    label: "Por aprobar",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [90, 70, 40, 33, 56, 40, 20]
                }
            ]
        };
        var linechart_proye = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "En revisión",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.7)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazados",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 50, 95, 44, 27, 100]
                }, {
                    label: "Disponible",
                    backgroundColor: 'rgba(28, 132, 198, 0.5)',
                    borderColor: "rgba(28,132,198,0.7)",
                    pointBorderColor: "#1c84c6",
                    data: [88, 75, 55, 48, 57, 68, 70]
                }
            ]
        };
        var linechart_bitacora_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_alumno_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Alto rendimiento",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 38, 40, 50, 56, 77, 50]
                }, {
                    label: "Aceptable rendimiento",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [90, 70, 40, 33, 56, 40, 20]
                }, {
                    label: "Bajo rendimiento",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };

        var linechart_proye_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "En revisión",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.7)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazados",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 50, 95, 44, 27, 100]
                }, {
                    label: "Disponible",
                    backgroundColor: 'rgba(28, 132, 198, 0.5)',
                    borderColor: "rgba(28,132,198,0.7)",
                    pointBorderColor: "#1c84c6",
                    data: [88, 75, 55, 48, 57, 68, 70]
                }
            ]
        };
        var lineOptions = {
            responsive: true
        };

        var ctx4 = document.getElementById("lineChart_doce").getContext("2d");
        new Chart(ctx4, { type: 'line', data: linechart_bitacora_doce, options: lineOptions });

        var ctx5 = document.getElementById("linechart_alumno_doce").getContext("2d");
        new Chart(ctx5, { type: 'line', data: linechart_alumno_doce, options: lineOptions });

        var ctx6 = document.getElementById("linechart_proye_doce").getContext("2d");
        new Chart(ctx6, { type: 'line', data: linechart_proye_doce, options: lineOptions });

        if($("#tiene_proyecto").val() == 0){
            swal({
                title: "Hemos detectado que no tienes un proyecto asociado",
                text: "¿Quieres postular a uno ? ",
                icon: "warning",
                buttons: {
                  cancel: "Cancelar",
                  roll: {
                    text: "Postular",
                      value: "post",
                      confirm: "true",
                  },
                },
              }).then((value) => {
                    switch (value) {

                      case "post":
                        window.location.href = 'http://127.0.0.1:8080/dashboard/postulate/'; 
                        break;

                      default:
                        swal({
                           title: "¡OK!",
                           icon: "success",
                        });
                    }
                  });	  
        }

    });

</script> {% endblock javascript %}